Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.util
Class ParameterMap

    java.lang.Object
      |
      +--java.util.AbstractMap
            |
            +--java.util.HashMap
                  |
                  +--org.apache.catalina.util.ParameterMap

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Map, java.io.Serializable

public final class ParameterMap
extends java.util.HashMap

Extended implementation of HashMap that includes a `locked` property. This class can be used to safely expose Catalina internal parameter map objects to user classes without having to clone them in order to avoid modifications. When first created, a `ParmaeterMap` instance is not locked.

Version:
  $Revision: 1.2 $ $Date: 2001/07/22 20:25:13 $
Author:
  Craig R. McClanahan
See Also:
  Serialized Form

Inner classes inherited from class java.util.Map
`java.util.Map.Entry`

Constructor Summary
`ParameterMap()` Construct a new, empty map with the default initial capacity and load factor.
`ParameterMap(int initialCapacity)` Construct a new, empty map with the specified initial capacity and default load factor.
`ParameterMap(int initialCapacity, float loadFactor)` Construct a new, empty map with the specified initial capacity and load factor.
`ParameterMap(java.util.Map map)` Construct a new map with the same mappings as the given map.

Method Summary
`void` | `clear()` Remove all mappings from this map.
`boolean` | `isLocked()` Return the locked state of this parameter map.
`java.lang.Object` | `put(java.lang.Object key, java.lang.Object value)` Associate the specified value with the specified key in this map.
`void` | `putAll(java.util.Map map)` Copy all of the mappings from the specified map to this one.
`java.lang.Object` | `remove(java.lang.Object key)` Remove the mapping for this key from the map if present.
`void` | `setLocked(boolean locked)` Set the locked state of this parameter map.

Methods inherited from class java.util.HashMap
`clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### ParameterMap

    public ParameterMap()

  Construct a new, empty map with the default initial capacity and load factor.

### ParameterMap

    public ParameterMap(int initialCapacity)

  Construct a new, empty map with the specified initial capacity and default load factor.
  Parameters:
    `initialCapacity` - The initial capacity of this map

### ParameterMap

    public ParameterMap(int initialCapacity,
                        float loadFactor)

  Construct a new, empty map with the specified initial capacity and load factor.
  Parameters:
    `initialCapacity` - The initial capacity of this map
    `loadFactor` - The load factor of this map

### ParameterMap

    public ParameterMap(java.util.Map map)

  Construct a new map with the same mappings as the given map.
  Parameters:
    `map` - Map whose contents are dupliated in the new map

Method Detail

### isLocked

    public boolean isLocked()

  Return the locked state of this parameter map.

### setLocked

    public void setLocked(boolean locked)

  Set the locked state of this parameter map.
  Parameters:
    `locked` - The new locked state

### clear

    public void clear()

  Remove all mappings from this map.
  Overrides:
    `clear` in class `java.util.HashMap`
  Throws:
    `java.lang.IllegalStateException` - if this map is currently locked

### put

    public java.lang.Object put(java.lang.Object key,
                                java.lang.Object value)

  Associate the specified value with the specified key in this map. If the map previously contained a mapping for this key, the old value is replaced.
  Overrides:
    `put` in class `java.util.HashMap`
  Parameters:
    `key` - Key with which the specified value is to be associated
    `value` - Value to be associated with the specified key
  Returns:
    The previous value associated with the specified key, or `null` if there was no mapping for key
  Throws:
    `java.lang.IllegalStateException` - if this map is currently locked

### putAll

    public void putAll(java.util.Map map)

  Copy all of the mappings from the specified map to this one. These mappings replace any mappings that this map had for any of the keys currently in the specified Map.
  Overrides:
    `putAll` in class `java.util.HashMap`
  Parameters:
    `map` - Mappings to be stored into this map
  Throws:
    `java.lang.IllegalStateException` - if this map is currently locked

### remove

    public java.lang.Object remove(java.lang.Object key)

  Remove the mapping for this key from the map if present.
  Overrides:
    `remove` in class `java.util.HashMap`
  Parameters:
    `key` - Key whose mapping is to be removed from the map
  Returns:
    The previous value associated with the specified key, or `null` if there was no mapping for that key
  Throws:
    `java.lang.IllegalStateException` - if this map is currently locked

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.